"use strict";
/**
 * @author Kuitos
 * @homepage https://github.com/kuitos/
 * @since 2017-10-17
 */
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var ava_1 = require("ava");
var buildSortedURL_1 = tslib_1.__importDefault(require("../buildSortedURL"));
ava_1.test('build a simple url without params', function (t) {
    var url = '//cross-domain.test/users';
    var params = {};
    var builtUrl = buildSortedURL_1.default(url, params);
    t.is(builtUrl, "" + url);
});
ava_1.test('build a simple url with params', function (t) {
    var url = '//cross-domain.test/users';
    var params = { name: 'kuitos', age: 18 };
    var builtUrl = buildSortedURL_1.default(url, params);
    t.is(builtUrl, url + "?age=18&name=kuitos");
});
ava_1.test('build a url which already had a query string with params', function (t) {
    var url = '//cross-domain.test/users?title=genius';
    var params = { name: 'kuitos', age: 18 };
    var builtUrl = buildSortedURL_1.default(url, params);
    t.is(builtUrl, '//cross-domain.test/users?age=18&name=kuitos&title=genius');
});
//# sourceMappingURL=test-buildSortedURL.js.map